Bug 145137 - unable to rebuild anaconda
Summary: unable to rebuild anaconda
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-14 18:01 UTC by david d zuhn
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 18:44:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description david d zuhn 2005-01-14 18:01:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I cannot rebuild anaconda-9.1.4.1-1.RHEL.src.rpm on my freshly
installed RHEL 3U4 AS machine.  I've installed the needed BuildReq
packages, but the build fails in loader2/ while running reduce-font:


zcat /usr/lib/bogl/font.bdf.gz > font.bdf
export LANG=en_US.UTF-8; (cat unicode-linedraw-chars.txt; for I in
../po/*.po ../po/timeconfig/*.po ; do msgconv -t utf-8 $I; done) |
reduce-font font.bdf > font-reduced.bdf
setlocale: C
FYI: MB_CUR_MAX/MB_LEN_MAX: 1/16
error -1 at position 0 (bytes: 16 \uffff\uffff\uffff
\uffff\uffff\uffff
\uffff\uffff\uffff
\uffff\uffff\uffff
)
Used chars: 128 (0 processed)
make: *** [font.bgf.gz] Error 1


This build was run with rpmbuild --rebuild anaconda-9.1.4.1-1.RHEL.src.rpm


I'm rebuilding as to install the ignoredisk patch for local installations.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpmbuild --rebuild anaconda-9.1.4.1-1.RHEL.src.rpm
2.
3.
    

Additional info:

Comment 1 Jeremy Katz 2005-01-14 18:48:43 UTC
What lang are you running your build in?

Comment 2 david d zuhn 2005-01-14 18:52:16 UTC
LANG=en_US.UTF-8


Comment 4 Paul Nasrat 2005-02-14 22:16:17 UTC
Works for me however I note that you get:

reduce-font font.bdf > font-reduced.bdf
setlocale: C

I get:

setlocale:

What is the full output of running as your build user:

locale


Comment 5 Jeremy Katz 2005-04-19 18:44:46 UTC
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.


Note You need to log in before you can comment on or make changes to this bug.